Form Version

The form version contains the actual contents for the form. Each form response contains 'form_version' field, which tells you exactly the contents of the form when the patient took it, even if the contents are now modified.

The form version model

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the form version.

  • Name
    object
    Type
    string
    Description

    Always 'form_version'.

  • Name
    form
    Type
    string
    Description

    Form this form version belongs to.

  • Name
    sections
    Type
    array of strings
    Description

    List of sections in this form version.

  • Name
    created_at
    Type
    number
    Description

    Timestamp (in ISO 8601 format) of when the form version was created.

  • Name
    last_updated_at
    Type
    number
    Description

    Timestamp (in ISO 8601 format) of when the form version was last updated.

Response

{
    "id": "fver_U8xtAULYUrX7GVsTKePy",
    "object": "form_version",
    "form": "form_NOIYLBGOBNhSwTWCUzfu",
    "sections": [{
      "id": "ntsc_1JtjV1QEY84Fv395Hl7h",
      "name": "Section 1",
     "logic": [
        [
          {
            "field": "nqst_3951JtjV1QEY84FvHl7h",
            "condition": "equal_to",
            "value": "Yes"
          }
        ]
      ],
      "questions": [
        {
          "id": "nqst_U8xtAULYUrX7GVsTKePy",
          "object": "note_template_question",

          "name": "What is your name?",
          "type": "short_answer",
          "show_on_summary_card": true,
          "required": true,
         "logic": [
            [
              {
                "field": "nqst_3951JtjV1QEY84FvHl7h",
                "condition": "equalTo",
                "value": "Yes"
              }
            ]
          ]
        }
      ]
    }],
    "created_at": "2024-04-10T13:20:21.724Z",
    "last_updated_at": "2024-04-10T13:20:21.724Z"
}


GET/v2/form_versions/:id

Retrieve a form version

Retrieves the specified form version.

Request

GET
/v2/form_versions/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/form_versions/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response


    {
        "id": "fver_U8xtAULYUrX7GVsTKePy",
        "object": "form_version",
        "form": "form_NOIYLBGOBNhSwTWCUzfu",
        "sections": [{
          "id": "ntsc_1JtjV1QEY84Fv395Hl7h",
          "name": "Section 1",
         "logic": [
            [
              {
                "field": "nqst_3951JtjV1QEY84FvHl7h",
                "condition": "equal_to",
                "value": "Yes"
              }
            ]
          ],
          "questions": [
            {
              "id": "nqst_U8xtAULYUrX7GVsTKePy",
              "object": "note_template_question",

              "name": "What is your name?",
              "type": "short_answer",
              "show_on_summary_card": true,
              "required": true,
             "logic": [
                [
                  {
                    "field": "nqst_3951JtjV1QEY84FvHl7h",
                    "condition": "equalTo",
                    "value": "Yes"
                  }
                ]
              ]
            }
          ]
        }],
        "created_at": "2024-04-10T13:20:21.724Z",
        "last_updated_at": "2024-04-10T13:20:21.724Z"
    }